<?php

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
Class Data {
    public $api_key;
    public $ip;
    public $hostname;
    public $geo_data = array ( 'ip' => '',
                               'country_code' => '',
                               'country_name' => '',
                               'region_code' => '',
                               'region_name' => '',
                               'city' => '',
                               'zip_code' => '',
                               'time_zone' => '',
                               'latitude' => '',
                               'longitude' => '',
                               'metro_code' => '');
    
    
    
    function __construct(){
        $this->ip = $this->get_ip();
        $this->hostname = $this->get_hostname();
        $this->api_key = $this->get_key();
        $this->free_geo_loc();
    }
    
    private function get_ip(){
        $ip = $_SERVER['REMOTE_ADDR'];
        $ip = filter_var($ip, FILTER_VALIDATE_IP);
        if(!empty($ip)){
            return $ip;
        }else{
            return "Ip can not be retreived!";
        }
    }
    
    private function get_hostname(){
        $hostname = $_SERVER['SERVER_NAME'];
        if(!empty($hostname)){
            return $hostname;
        }else{
            return "Hostname can not be retreived!";
        }
    }
    
    private function free_geo_loc(){
        $get_geo_info = json_decode(file_get_contents('http://freegeoip.net/json/'.$this->ip));
        
        foreach($get_geo_info as $key=>$value){
            $info = (!empty($value)) ? $value : "No data.";
            $this->geo_data[$key] = $info;
        }
    }
    
    private function get_key(){
        if(file_exists("includes/api_key.txt")){
           $key = trim(file_get_contents("includes/api_key.txt"));
            return $key; 
        }else{
            $key = "";
            return $key;
        }
        
    }
    
}
